%{?python_disable_dependency_generator}

%global srcname     astroid

Summary:        Common base representation of python source code for pylint and other projects
Name:           python-astroid
Version:        2.15.6
Release:        2%{?dist}
License:        LGPLv2+
URL:            https://github.com/pylint-dev/astroid

# note: tar from pypi_source is not complete in tests
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel python3-wrapt
BuildRequires:  python3-setuptools python3-setuptools_scm
BuildRequires:  python3-lazy-object-proxy
BuildRequires:  python3-pytest python3-pytest-runner
BuildRequires:  python3-six python3-typed_ast >= 1.3.0
BuildRequires:  python3-wheel python3-pip
BuildRequires:  python3-pytest

%description
The aim of this module is to provide a common base representation of python
source code for projects such as pychecker, pyreverse, pylint...
It provides a compatible representation which comes from the _ast module. It
rebuilds the tree generated by the builtin _ast module by recursively walking
down the AST and building an extended ast. The new node classes have additional
methods and attributes for different usages. They include some support for
static inference and local name scopes. Furthermore, astroid builds partial
trees by inspecting living objects.

%package -n python3-%{srcname}
Summary:        %{summary}
Requires:  python3-lazy-object-proxy
Requires:  python3-wrapt
Requires:  python3-typed_ast
Requires:  python3-six

%description -n python3-%{srcname}
The aim of this module is to provide a common base representation of python
source code for projects such as pychecker, pyreverse, pylint...
It provides a compatible representation which comes from the _ast module. It
rebuilds the tree generated by the builtin _ast module by recursively walking
down the AST and building an extended ast. The new node classes have additional
methods and attributes for different usages. They include some support for
static inference and local name scopes. Furthermore, astroid builds partial
trees by inspecting living objects.

%prep
%autosetup -n %{srcname}-%{version} -p0
sed -i /six/d astroid/__pkginfo__.py

%build
%pyproject_wheel


%install
%pyproject_install
rm -rf %{buildroot}%{python3_sitelib}/tests

%check
%pytest -v

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/astroid
%{python3_sitelib}/astroid*.dist-info/

%changelog
* Mon May 13 2024 Shuo Wang <abushwang@tencent.com> - 2.15.6-2
- enable check for python-astroid

* Mon Sep 25 2023 Wang Guodong <gordonwwang@tencent.com> - 2.15.6-1
- Upgrade to version 2.15.6

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.15.4-2
- Rebuilt for python 3.11

* Thu Sep 14 2023 Shuo Wang <abushwang@tencent.com> - 2.15.4-1
- update to 2.15.4

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 cunshunxia <cunshunxia@tencent.com> - 2.9.3-1
- initial build
